## zabbix-agent2-plugin-mssql 6.0.27

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.27-1+debian12) stable; urgency=low

  * update to 6.0.27

 -- Zabbix Packager <info@zabbix.com>  Wed, 28 Feb 2024 10:21:48 +0200

zabbix-agent2-plugin-mssql (1:6.0.27~rc1-1) stable; urgency=low

  * update to 6.0.27rc1

 -- Zabbix Packager <info@zabbix.com>  Fri, 16 Feb 2024 13:43:08 +0200

zabbix-agent2-plugin-mssql (1:6.0.25~rc1-1) stable; urgency=low

  * initial release of 6.0.25rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 05 Dec 2023 14:27:23 +0200

## zabbix-agent2-plugin-mssql 6.0.28

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.28-1+debian12) stable; urgency=low

  * update to 6.0.28

 -- Zabbix Packager <info@zabbix.com>  Mon, 25 Mar 2024 13:37:38 +0200

zabbix-agent2-plugin-mssql (1:6.0.28~rc1-1) stable; urgency=low

  * update to 6.0.28rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 18 Mar 2024 10:41:40 +0200

zabbix-agent2-plugin-mssql (1:6.0.27-1) stable; urgency=low

  * update to 6.0.27

 -- Zabbix Packager <info@zabbix.com>  Wed, 28 Feb 2024 10:21:48 +0200

## zabbix-agent2-plugin-mssql 6.0.29

=== Makefile ===
.ONESHELL:

PACKAGE=zabbix-agent2-plugin-mssql
TOPDIR := $(CURDIR)

ifeq ($(OS),Windows_NT)
SHELL := cmd
TOPDIR := $(subst /,\,$(CURDIR))
PACKAGE:=$(PACKAGE).exe
WINDRES = windres.exe
ifneq ("$(shell findstr ZABBIX_RC_NUM $(TOPDIR)\windres\resource.h)","")
ifeq ("$(WINDRES_FLAGS)","")
WINDRES_FLAGS := \
	-D ZABBIX_LICENSE_YEARS='\"$(word 3,$(shell findstr Copyright $(TOPDIR)\main.go | findstr 2001-20))\"' \
	-D ZABBIX_VERSION_MAJOR=$(lastword $(shell findstr VERSION_MAJOR $(TOPDIR)\main.go | findstr =)) \
	-D ZABBIX_VERSION_MINOR=$(lastword $(shell findstr VERSION_MINOR $(TOPDIR)\main.go | findstr =)) \
	-D ZABBIX_VERSION_PATCH=$(lastword $(shell findstr VERSION_PATCH $(TOPDIR)\main.go | findstr =)) \
	-D ZABBIX_VERSION_RC='\"$(lastword $(shell findstr VERSION_RC $(TOPDIR)\main.go | findstr =))\"' \
	-D ZABBIX_VERSION_RC_NUM=1000
endif
endif

RFLAGS := $(RFLAGS) --input-format=rc -O coff

ifeq ("$(ARCH)", "")
	ARCH := $(PROCESSOR_ARCHITECTURE)
endif
endif

ifeq ("$(ARCH)", "x86")
	GOARCH := 386
	RFLAGS := $(RFLAGS) --target=pe-i386

else
	GOARCH := amd64
	RFLAGS := $(RFLAGS) --target=pe-x86-64
endif

DISTFILES = \
	ChangeLog \
	go.mod \
	go.sum \
	LICENSE \
	main.go \
	Makefile \
	mssql.conf \
	README.md

DIST_SUBDIRS = \
	plugin \
	windres \
	vendor

.build_rc:
ifneq ("$(WINDRES)","")
	$(WINDRES) $(TOPDIR)\windres\resource.rc $(WINDRES_FLAGS) $(RFLAGS) \
		-D VER_FILEDESCRIPTION_STR='\"$(PACKAGE)\"' \
		-D _WINDOWS -o "$(TOPDIR)\$(PACKAGE).syso"
endif

build: .build_rc
	set GOARCH=$(GOARCH)
	go build -o "$(TOPDIR)/$(PACKAGE)"

clean:
ifeq ($(OS),Windows_NT)
	if exist "$(TOPDIR)\vendor" rmdir /S /Q "$(TOPDIR)\vendor"
	del /F "$(TOPDIR)\$(PACKAGE)*"
else
	rm -rf "$(TOPDIR)/vendor"
	rm -rf "$(TOPDIR)/$(PACKAGE)"*
endif
	go clean "$(TOPDIR)/..."

check:
	go test -v "$(TOPDIR)/..."

style:
	golangci-lint run --new-from-rev=$(NEW_FROM_REV) "$(TOPDIR)/..."

format:
	go fmt "$(TOPDIR)/..."

dist:
ifneq ($(OS),Windows_NT)
	cd $(TOPDIR); \
	go mod vendor; \
	major_verison=$(lastword $(shell grep 'PLUGIN_VERSION_MAJOR =' ./main.go)); \
	minor_verison=$(lastword $(shell grep 'PLUGIN_VERSION_MINOR =' ./main.go)); \
	patch_verison=$(lastword $(shell grep 'PLUGIN_VERSION_PATCH =' ./main.go)); \
	alphatag=$(lastword $(shell grep 'PLUGIN_VERSION_RC    =' ./main.go)); \
	lic_years=$(word 3, $(shell grep ' Copyright 2001-' ./main.go)); \
	distdir="$(PACKAGE)-$${major_verison}.$${minor_verison}.$${patch_verison}$${alphatag}"; \
	dist_archive="$${distdir}.tar.gz"; \
	mkdir -p ./$${distdir}; \
	for distfile in '$(DISTFILES)'; do \
		cp -fp ./$${distfile} ./$${distdir}/; \
	done; \
	for subdir in '$(DIST_SUBDIRS)'; do \
		cp -fpR ./$${subdir} ./$${distdir}; \
	done; \
# File revision number must be numeric (Git commit hash cannot be used).
# Therefore to make it numeric and meaningful it is artificially composed from:
#    - branch (development or release),
#    - type (alpha, beta, rc or release),
#    - number of alpha, beta or rc.
# 'branch' expression tries to find out is it a development branch or release branch.
#      Result is encoded as: 1 - dev branch, release branch or error occurred, 2 - tag.
# 'type_name' expression tries to find out what type of release it is.
#      Expected result is: "alpha", "beta", "rc" or "" (empty string).
# 'type_num' expression encodes 'type_name' as numeric value:
#      1 - alpha, 2 - beta, 3 - rc, 4 - release, 0 - unknown.
# 'type_count' expression tries to find out number of "alpha", "beta" or "rc" (e.g. 1 from "rc1").
	branch=`(git symbolic-ref -q HEAD > /dev/null && echo 1) || (git tag -l --points-at HEAD| grep "."| grep -q -v "-" && echo 2) || echo 1`; \
	type_name=`cat ./main.go| sed -n -e '/AGENT_VERSION_RC/s/.*"\([a-z]*\)[0-9]*"/\1/p'`; \
	type_num=`(test "x$$type_name" = "xalpha" && echo "1") || echo ""`; \
	type_num=`(test -z $$type_num && test "x$$type_name" = "xbeta" && echo "2") || echo "$$type_num"`; \
	type_num=`(test -z $$type_num && test "x$$type_name" = "xrc" && echo "3") || echo "$$type_num"`; \
	type_num=`(test -z $$type_num && test -z $$type_name && echo "4") || echo "$$type_num"`; \
	type_num=`(test -z $$type_num && echo "0") || echo "$$type_num"`; \
	type_count=`cat ./main.go|sed -n -e '/ZABBIX_VERSION_RC/s/.*"[a-z]*\([0-9]*\)"/\1/p'`; \
	type_count=`printf '%02d' $$type_count`; \
	cat ./$${distdir}/windres/resource.h|sed "s/{ZABBIX_VERSION_MAJOR}/$${major_verison}/g"| \
	sed "s/{ZABBIX_VERSION_MINOR}/$${minor_verison}/g"| sed "s/{ZABBIX_VERSION_PATCH}/$${patch_verison}/g"| \
	sed "s/{ZABBIX_VERSION_RC}/\"$${alphatag}\"/g"| sed "s/{ZABBIX_RC_NUM}/$$branch$$type_num$$type_count/g"| \
	sed "s/{ZABBIX_LICENSE_YEARS}/\"$${lic_years}\"/g"| sed "s/{VER_FILEDESCRIPTION_STR}/$(PACKAGE)/g" \
	> ./$${distdir}/windres/resource.h.new; mv ./$${distdir}/windres/resource.h.new ./$${distdir}/windres/resource.h; \
	tar -czvf ./$${dist_archive} ./$${distdir}; \
	rm -rf ./$${distdir}
endif

sbom.json:
	CGO_CFLAGS="${CGO_CFLAGS}" CGO_LDFLAGS="${CGO_LDFLAGS}" cyclonedx-gomod mod \
		   -output-version 1.4 \
		   -licenses -assert-licenses -json -output "$@"

sbom.xml:
	CGO_CFLAGS="${CGO_CFLAGS}" CGO_LDFLAGS="${CGO_LDFLAGS}" cyclonedx-gomod mod \
		   -output-version 1.4 \
		   -licenses -assert-licenses -output "$@"

sbom: sbom.json

.PHONY: sbom

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.29-1+debian12) stable; urgency=low

  * update to 6.0.29

 -- Zabbix Packager <info@zabbix.com>  Mon, 22 Apr 2024 09:44:14 +0300

zabbix-agent2-plugin-mssql (1:6.0.29~rc1-1) stable; urgency=low

  * update to 6.0.29rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 15 Apr 2024 11:49:53 +0300

zabbix-agent2-plugin-mssql (1:6.0.28-1) stable; urgency=low

  * update to 6.0.28

 -- Zabbix Packager <info@zabbix.com>  Mon, 25 Mar 2024 13:37:38 +0200

## zabbix-agent2-plugin-mssql 6.0.30

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.30-1+debian12) stable; urgency=low

  * update to 6.0.30

 -- Zabbix Packager <info@zabbix.com>  Tue, 21 May 2024 09:58:53 +0300

zabbix-agent2-plugin-mssql (1:6.0.30~rc1-1) stable; urgency=low

  * update to 6.0.30rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 15 May 2024 10:16:11 +0300

zabbix-agent2-plugin-mssql (1:6.0.29-2) stable; urgency=low

  * second build of 6.0.29

 -- Zabbix Packager <info@zabbix.com>  Thu, 02 May 2024 14:56:05 +0300

zabbix-agent2-plugin-mssql (1:6.0.29-1) stable; urgency=low

  * update to 6.0.29

 -- Zabbix Packager <info@zabbix.com>  Mon, 22 Apr 2024 09:44:14 +0300

## zabbix-agent2-plugin-mssql 6.0.31

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.31-1+debian12) stable; urgency=low

  * update to 6.0.31

 -- Zabbix Packager <info@zabbix.com>  Mon, 17 Jun 2024 08:52:31 +0300

zabbix-agent2-plugin-mssql (1:6.0.31~rc1-1) stable; urgency=low

  * update to 6.0.31rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 10 Jun 2024 10:35:17 +0300

zabbix-agent2-plugin-mssql (1:6.0.30-1) stable; urgency=low

  * update to 6.0.30

 -- Zabbix Packager <info@zabbix.com>  Tue, 21 May 2024 09:58:53 +0300

## zabbix-agent2-plugin-mssql 6.0.32

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.32-1+debian9) stable; urgency=low

  * update to 6.0.32

 -- Zabbix Packager <info@zabbix.com>  Mon, 15 Jul 2024 11:27:03 +0300

zabbix-agent2-plugin-mssql (1:6.0.32~rc1-1) stable; urgency=low

  * update to 6.0.32rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 09 Jul 2024 14:37:13 +0300

zabbix-agent2-plugin-mssql (1:6.0.31-1) stable; urgency=low

  * update to 6.0.31

 -- Zabbix Packager <info@zabbix.com>  Mon, 17 Jun 2024 08:52:31 +0300

## zabbix-agent2-plugin-mssql 6.0.33

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.33-2+debian9) stable; urgency=low

  * update to 6.0.33

 -- Zabbix Packager <info@zabbix.com>  Tue, 13 Aug 2024 13:26:55 +0300

zabbix-agent2-plugin-mssql (1:6.0.33~rc1-2) stable; urgency=low

  * second release of 6.0.33rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 06 Aug 2024 13:38:37 +0300

zabbix-agent2-plugin-mssql (1:6.0.33~rc1-1) stable; urgency=low

  * update to 6.0.33rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 06 Aug 2024 11:32:29 +0300

zabbix-agent2-plugin-mssql (1:6.0.32-1) stable; urgency=low

  * update to 6.0.32

 -- Zabbix Packager <info@zabbix.com>  Mon, 15 Jul 2024 11:27:03 +0300

## zabbix-agent2-plugin-mssql 6.0.34

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.34-1+debian12) stable; urgency=low

  * update to 6.0.34

 -- Zabbix Packager <info@zabbix.com>  Thu, 26 Sep 2024 09:09:13 +0300

zabbix-agent2-plugin-mssql (1:6.0.34~rc2-1) stable; urgency=low

  * update to 6.0.34rc2

 -- Zabbix Packager <info@zabbix.com>  Tue, 24 Sep 2024 12:40:12 +0300

zabbix-agent2-plugin-mssql (1:6.0.34~rc1-1) stable; urgency=low

  * update to 6.0.34rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 16 Sep 2024 11:35:42 +0300

zabbix-agent2-plugin-mssql (1:6.0.33-2) stable; urgency=low

  * update to 6.0.33

 -- Zabbix Packager <info@zabbix.com>  Tue, 13 Aug 2024 13:26:55 +0300

## zabbix-agent2-plugin-mssql 6.0.35

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.35-1+debian12) stable; urgency=low

  * update to 6.0.35

 -- Zabbix Packager <info@zabbix.com>  Mon, 21 Oct 2024 09:23:56 +0300

zabbix-agent2-plugin-mssql (1:6.0.35~rc1-1) stable; urgency=low

  * update to 6.0.35rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 14 Oct 2024 11:02:08 +0300

zabbix-agent2-plugin-mssql (1:6.0.34-1) stable; urgency=low

  * update to 6.0.34

 -- Zabbix Packager <info@zabbix.com>  Thu, 26 Sep 2024 09:09:13 +0300

## zabbix-agent2-plugin-mssql 6.0.36

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.36-1+debian12) stable; urgency=low

  * update to 6.0.36

 -- Zabbix Packager <info@zabbix.com>  Tue, 19 Nov 2024 11:21:26 +0200

zabbix-agent2-plugin-mssql (1:6.0.36~rc1-1) stable; urgency=low

  * update to 6.0.36rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 12 Nov 2024 09:59:43 +0200

zabbix-agent2-plugin-mssql (1:6.0.35-1) stable; urgency=low

  * update to 6.0.35

 -- Zabbix Packager <info@zabbix.com>  Mon, 21 Oct 2024 09:23:56 +0300

## zabbix-agent2-plugin-mssql 6.0.37

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.37-1+debian12) stable; urgency=low

  * update to 6.0.37

 -- Zabbix Packager <info@zabbix.com>  Tue, 17 Dec 2024 15:01:31 +0200

zabbix-agent2-plugin-mssql (1:6.0.37~rc1-1) stable; urgency=low

  * update to 6.0.37rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 11 Dec 2024 10:15:33 +0200

zabbix-agent2-plugin-mssql (1:6.0.36-1) stable; urgency=low

  * update to 6.0.36

 -- Zabbix Packager <info@zabbix.com>  Tue, 19 Nov 2024 11:21:26 +0200

## zabbix-agent2-plugin-mssql 6.0.38

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.38-1+debian12) stable; urgency=low

  * update to 6.0.38

 -- Zabbix Packager <info@zabbix.com>  Mon, 27 Jan 2025 10:25:08 +0200

zabbix-agent2-plugin-mssql (1:6.0.38~rc1-1) stable; urgency=low

  * update to 6.0.38rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 20 Jan 2025 11:14:45 +0200

zabbix-agent2-plugin-mssql (1:6.0.37-1) stable; urgency=low

  * update to 6.0.37

 -- Zabbix Packager <info@zabbix.com>  Tue, 17 Dec 2024 15:01:31 +0200

## zabbix-agent2-plugin-mssql 6.0.39

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.39-1+debian12) stable; urgency=low

  * update to 6.0.39

 -- Zabbix Packager <info@zabbix.com>  Mon, 24 Feb 2025 08:44:13 +0200

zabbix-agent2-plugin-mssql (1:6.0.39~rc1-1) stable; urgency=low

  * update to 6.0.39rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 17 Feb 2025 14:21:15 +0200

zabbix-agent2-plugin-mssql (1:6.0.38-1) stable; urgency=low

  * update to 6.0.38

 -- Zabbix Packager <info@zabbix.com>  Mon, 27 Jan 2025 10:25:08 +0200

## zabbix-agent2-plugin-mssql 6.0.40

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.40-1+debian12) stable; urgency=low

  * update to 6.0.40

 -- Zabbix Packager <info@zabbix.com>  Tue, 22 Apr 2025 09:53:12 +0300

zabbix-agent2-plugin-mssql (1:6.0.40~rc1-1) stable; urgency=low

  * update to 6.0.40rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 14 Apr 2025 09:56:37 +0300

zabbix-agent2-plugin-mssql (1:6.0.39-1) stable; urgency=low

  * update to 6.0.39

 -- Zabbix Packager <info@zabbix.com>  Mon, 24 Feb 2025 08:44:13 +0200

## zabbix-agent2-plugin-mssql 6.0.41

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.41-1+debian12) stable; urgency=low

  * update to 6.0.41

 -- Zabbix Packager <info@zabbix.com>  Tue, 19 Aug 2025 09:16:42 +0300

zabbix-agent2-plugin-mssql (1:6.0.41~rc1-1) stable; urgency=low

  * update to 6.0.41rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 12 Aug 2025 11:38:18 +0300

zabbix-agent2-plugin-mssql (1:6.0.40-1) stable; urgency=low

  * update to 6.0.40

 -- Zabbix Packager <info@zabbix.com>  Tue, 22 Apr 2025 09:53:12 +0300

## zabbix-agent2-plugin-mssql 6.0.42

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.0.42-1+debian12) stable; urgency=low

  * update to 6.0.42

 -- Zabbix Packager <info@zabbix.com>  Mon, 29 Sep 2025 16:27:35 +0300

zabbix-agent2-plugin-mssql (1:6.0.42~rc1-1) stable; urgency=low

  * update to 6.0.42rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 23 Sep 2025 09:06:16 +0300

zabbix-agent2-plugin-mssql (1:6.0.41-1) stable; urgency=low

  * update to 6.0.41

 -- Zabbix Packager <info@zabbix.com>  Tue, 19 Aug 2025 09:16:42 +0300

## zabbix-agent2-plugin-mssql 6.4.16

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 TOPDIR := $(CURDIR)
 
 ifeq ($(OS),Windows_NT)
+GOOS := windows
 SHELL := cmd
 TOPDIR := $(subst /,\,$(CURDIR))
 PACKAGE:=$(PACKAGE).exe
@@ -23,17 +24,40 @@
 RFLAGS := $(RFLAGS) --input-format=rc -O coff
 
 ifeq ("$(ARCH)", "")
+ifdef PROCESSOR_ARCHITECTURE
 	ARCH := $(PROCESSOR_ARCHITECTURE)
+else
+	ARCH := x86
 endif
 endif
 
-ifeq ("$(ARCH)", "x86")
+ifeq ($(ARCH), x86)
+	RFLAGS := $(RFLAGS) --target=pe-i386
+else ifeq ($(ARCH), AMD64)
+	RFLAGS := $(RFLAGS) --target=pe-x86-64
+else ifeq (,$(findstring ARM,$(ARCH)))
+ifneq ($(ARCH), $(PROCESSOR_ARCHITECTURE))
+$(error Unsupported CPU architecture: $(ARCH))
+endif
+endif
+endif
+
+ifeq ($(ARCH), x86)
 	GOARCH := 386
-	RFLAGS := $(RFLAGS) --target=pe-i386
+else ifeq ($(ARCH), AMD64)
+	GOARCH := amd64
+else ifeq ($(ARCH), ARM)
+	GOARCH := arm
+else ifeq ($(ARCH), ARM64)
+	GOARCH := arm64
+endif
 
-else
-	GOARCH := amd64
-	RFLAGS := $(RFLAGS) --target=pe-x86-64
+ifndef GOOS
+GOOS := $(shell go env GOOS)
+endif
+
+ifndef GOARCH
+GOARCH := $(shell go env GOARCH)
 endif
 
 DISTFILES = \
@@ -59,8 +83,13 @@
 endif
 
 build: .build_rc
+ifeq ($(OS),Windows_NT)
+	set GOOS=$(GOOS)
 	set GOARCH=$(GOARCH)
 	go build -o "$(TOPDIR)/$(PACKAGE)"
+else
+	GOOS="$(GOOS)" GOARCH="$(GOARCH)" go build -o "$(TOPDIR)/$(PACKAGE)"
+endif
 
 clean:
 ifeq ($(OS),Windows_NT)

## zabbix-agent2-plugin-mssql 6.4.19

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:6.4.19-1+debian9) stable; urgency=low

  * update to 6.4.19

 -- Zabbix Packager <info@zabbix.com>  Mon, 23 Sep 2024 14:04:34 +0300

zabbix-agent2-plugin-mssql (1:6.4.19~rc1-1) stable; urgency=low

  * update to 6.4.19rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 17 Sep 2024 09:24:14 +0300

zabbix-agent2-plugin-mssql (1:6.4.18-1) stable; urgency=low

  * update to 6.4.18

 -- Zabbix Packager <info@zabbix.com>  Mon, 19 Aug 2024 11:00:09 +0300

zabbix-agent2-plugin-mssql (1:6.4.18~rc1-1) stable; urgency=low

  * update to 6.4.18rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 12 Aug 2024 12:04:01 +0300

zabbix-agent2-plugin-mssql (1:6.4.17-1) stable; urgency=low

  * update to 6.4.17

 -- Zabbix Packager <info@zabbix.com>  Mon, 15 Jul 2024 14:05:07 +0300

zabbix-agent2-plugin-mssql (1:6.4.17~rc1-1) stable; urgency=low

  * update to 6.4.17rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 09 Jul 2024 18:04:10 +0300

zabbix-agent2-plugin-mssql (1:6.4.16-1) stable; urgency=low

  * update to 6.4.16

 -- Zabbix Packager <info@zabbix.com>  Mon, 17 Jun 2024 12:31:37 +0300

zabbix-agent2-plugin-mssql (1:6.4.16~rc2-1) stable; urgency=low

  * update to 6.4.16rc2

 -- Zabbix Packager <info@zabbix.com>  Fri, 14 Jun 2024 10:15:55 +0300

zabbix-agent2-plugin-mssql (1:6.4.16~rc1-1) stable; urgency=low

  * update to 6.4.16rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 10 Jun 2024 13:44:49 +0300

zabbix-agent2-plugin-mssql (1:6.4.15-1) stable; urgency=low

  * update to 6.4.15

 -- Zabbix Packager <info@zabbix.com>  Tue, 21 May 2024 12:22:02 +0300

zabbix-agent2-plugin-mssql (1:6.4.15~rc1-1) stable; urgency=low

  * update to 6.4.15rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 15 May 2024 13:08:16 +0300

zabbix-agent2-plugin-mssql (1:6.4.14-2) stable; urgency=low

  * second build of 6.4.14

 -- Zabbix Packager <info@zabbix.com>  Tue, 30 Apr 2024 09:57:34 +0300

zabbix-agent2-plugin-mssql (1:6.4.14-1) stable; urgency=low

  * update to 6.4.14

 -- Zabbix Packager <info@zabbix.com>  Mon, 22 Apr 2024 11:55:14 +0300

zabbix-agent2-plugin-mssql (1:6.4.14~rc1-1) stable; urgency=low

  * update to 6.4.14rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 15 Apr 2024 13:27:07 +0300

zabbix-agent2-plugin-mssql (1:6.4.13-1) stable; urgency=low

  * update to 6.4.13

 -- Zabbix Packager <info@zabbix.com>  Mon, 25 Mar 2024 17:12:01 +0200

zabbix-agent2-plugin-mssql (1:6.4.13~rc2-1) stable; urgency=low

  * update to 6.4.13rc2

 -- Zabbix Packager <info@zabbix.com>  Wed, 20 Mar 2024 11:52:09 +0200

zabbix-agent2-plugin-mssql (1:6.4.13~rc1-1) stable; urgency=low

  * update to 6.4.13rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 18 Mar 2024 12:56:10 +0200

zabbix-agent2-plugin-mssql (1:6.4.12-1) stable; urgency=low

  * update to 6.4.12

 -- Zabbix Packager <info@zabbix.com>  Tue, 27 Feb 2024 17:12:53 +0200

zabbix-agent2-plugin-mssql (1:6.4.12~rc1-1) stable; urgency=low

  * update to 6.4.12rc1

 -- Zabbix Packager <info@zabbix.com>  Fri, 16 Feb 2024 13:57:04 +0200

zabbix-agent2-plugin-mssql (1:6.4.10~rc1-1) stable; urgency=low

  * initial release of 6.4.10rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 05 Dec 2023 14:27:23 +0200

## zabbix-agent2-plugin-mssql 7.0.0

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.0-1+debian9) stable; urgency=low

  * update to 7.0.0

 -- Zabbix Packager <info@zabbix.com>  Mon, 03 Jun 2024 08:55:34 +0300

zabbix-agent2-plugin-mssql (1:7.0.0~rc3-1) stable; urgency=low

  * update to 7.0.0rc3

 -- Zabbix Packager <info@zabbix.com>  Tue, 28 May 2024 11:26:42 +0300

zabbix-agent2-plugin-mssql (1:7.0.0~rc2-1) stable; urgency=low

  * update to 7.0.0rc2

 -- Zabbix Packager <info@zabbix.com>  Wed, 22 May 2024 15:46:11 +0300

zabbix-agent2-plugin-mssql (1:7.0.0~rc1-1) stable; urgency=low

  * update to 7.0.0rc1
  * changed license to AGPL 3.0 only

 -- Zabbix Packager <info@zabbix.com>  Tue, 14 May 2024 15:30:48 +0300

zabbix-agent2-plugin-mssql (1:7.0.0~beta3-2) stable; urgency=low

  * second build of 7.0.0beta3

 -- Zabbix Packager <info@zabbix.com>  Thu, 02 May 2024 10:59:08 +0300

zabbix-agent2-plugin-mssql (1:7.0.0~beta3-1) stable; urgency=low

  * update to 7.0.0beta3

 -- Zabbix Packager <info@zabbix.com>  Wed, 17 Apr 2024 10:57:28 +0300

zabbix-agent2-plugin-mssql (1:7.0.0~beta2-1) stable; urgency=low

  * initial release of 7.0.0beta2

 -- Zabbix Packager <info@zabbix.com>  Wed, 20 Mar 2024 14:46:13 +0200

## zabbix-agent2-plugin-mssql 7.0.1

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.1-1+debian9) stable; urgency=low

  * update to 7.0.1

 -- Zabbix Packager <info@zabbix.com>  Mon, 22 Jul 2024 10:14:13 +0300

zabbix-agent2-plugin-mssql (1:7.0.1~rc2-1) stable; urgency=low

  * update to 7.0.1rc2

 -- Zabbix Packager <info@zabbix.com>  Wed, 17 Jul 2024 16:54:36 +0300

zabbix-agent2-plugin-mssql (1:7.0.1~rc1-1) stable; urgency=low

  * update to 7.0.1rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 10 Jul 2024 10:42:55 +0300

zabbix-agent2-plugin-mssql (1:7.0.0-1) stable; urgency=low

  * update to 7.0.0

 -- Zabbix Packager <info@zabbix.com>  Mon, 03 Jun 2024 08:55:34 +0300

## zabbix-agent2-plugin-mssql 7.0.2

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.2-1+debian9) stable; urgency=low

  * update to 7.0.2

 -- Zabbix Packager <info@zabbix.com>  Mon, 29 Jul 2024 10:07:43 +0300

zabbix-agent2-plugin-mssql (1:7.0.2~rc2-1) stable; urgency=low

  * update to 7.0.2rc2

 -- Zabbix Packager <info@zabbix.com>  Fri, 26 Jul 2024 15:31:59 +0300

zabbix-agent2-plugin-mssql (1:7.0.2~rc1-1) stable; urgency=low

  * update to 7.0.2rc1

 -- Zabbix Packager <info@zabbix.com>  Thu, 25 Jul 2024 15:29:31 +0300

zabbix-agent2-plugin-mssql (1:7.0.1-1) stable; urgency=low

  * update to 7.0.1

 -- Zabbix Packager <info@zabbix.com>  Mon, 22 Jul 2024 10:14:13 +0300

## zabbix-agent2-plugin-mssql 7.0.3

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 ifneq ("$(shell findstr ZABBIX_RC_NUM $(TOPDIR)\windres\resource.h)","")
 ifeq ("$(WINDRES_FLAGS)","")
 WINDRES_FLAGS := \
-	-D ZABBIX_LICENSE_YEARS='\"$(word 3,$(shell findstr Copyright $(TOPDIR)\main.go | findstr 2001-20))\"' \
+	-D ZABBIX_LICENSE_YEARS='\"$(word 4,$(shell findstr Copyright $(TOPDIR)\main.go | findstr 2001-20))\"' \
 	-D ZABBIX_VERSION_MAJOR=$(lastword $(shell findstr VERSION_MAJOR $(TOPDIR)\main.go | findstr =)) \
 	-D ZABBIX_VERSION_MINOR=$(lastword $(shell findstr VERSION_MINOR $(TOPDIR)\main.go | findstr =)) \
 	-D ZABBIX_VERSION_PATCH=$(lastword $(shell findstr VERSION_PATCH $(TOPDIR)\main.go | findstr =)) \
@@ -118,7 +118,7 @@
 	minor_verison=$(lastword $(shell grep 'PLUGIN_VERSION_MINOR =' ./main.go)); \
 	patch_verison=$(lastword $(shell grep 'PLUGIN_VERSION_PATCH =' ./main.go)); \
 	alphatag=$(lastword $(shell grep 'PLUGIN_VERSION_RC    =' ./main.go)); \
-	lic_years=$(word 3, $(shell grep ' Copyright 2001-' ./main.go)); \
+	lic_years=$(word 4, $(shell grep ' Copyright (C) 2001-' ./main.go)); \
 	distdir="$(PACKAGE)-$${major_verison}.$${minor_verison}.$${patch_verison}$${alphatag}"; \
 	dist_archive="$${distdir}.tar.gz"; \
 	mkdir -p ./$${distdir}; \

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.3-1+debian9) stable; urgency=low

  * update to 7.0.3

 -- Zabbix Packager <info@zabbix.com>  Mon, 19 Aug 2024 13:22:41 +0300

zabbix-agent2-plugin-mssql (1:7.0.3~rc1-1) stable; urgency=low

  * update to 7.0.3rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 12 Aug 2024 16:53:57 +0300

zabbix-agent2-plugin-mssql (1:7.0.2-1) stable; urgency=low

  * update to 7.0.2

 -- Zabbix Packager <info@zabbix.com>  Mon, 29 Jul 2024 10:07:43 +0300

## zabbix-agent2-plugin-mssql 7.0.4

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.4-1+debian12) stable; urgency=low

  * update to 7.0.4

 -- Zabbix Packager <info@zabbix.com>  Tue, 24 Sep 2024 09:23:01 +0300

zabbix-agent2-plugin-mssql (1:7.0.4~rc1-1) stable; urgency=low

  * update to 7.0.4rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 17 Sep 2024 14:42:57 +0300

zabbix-agent2-plugin-mssql (1:7.0.3-1) stable; urgency=low

  * update to 7.0.3

 -- Zabbix Packager <info@zabbix.com>  Mon, 19 Aug 2024 13:22:41 +0300

## zabbix-agent2-plugin-mssql 7.0.5

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.5-1+debian12) stable; urgency=low

  * update to 7.0.5

 -- Zabbix Packager <info@zabbix.com>  Mon, 21 Oct 2024 15:46:31 +0300

zabbix-agent2-plugin-mssql (1:7.0.5~rc1-1) stable; urgency=low

  * update to 7.0.5rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 14 Oct 2024 15:26:22 +0300

zabbix-agent2-plugin-mssql (1:7.0.4-1) stable; urgency=low

  * update to 7.0.4

 -- Zabbix Packager <info@zabbix.com>  Tue, 24 Sep 2024 09:23:01 +0300

## zabbix-agent2-plugin-mssql 7.0.6

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.6-1+debian11) stable; urgency=low

  * update to 7.0.6

 -- Zabbix Packager <info@zabbix.com>  Wed, 20 Nov 2024 09:51:53 +0200

zabbix-agent2-plugin-mssql (1:7.0.6~rc1-1) stable; urgency=low

  * update to 7.0.6rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 13 Nov 2024 09:03:31 +0200

zabbix-agent2-plugin-mssql (1:7.0.5-1) stable; urgency=low

  * update to 7.0.5

 -- Zabbix Packager <info@zabbix.com>  Mon, 21 Oct 2024 15:46:31 +0300

=== debian/control ===
Source: zabbix-agent2-plugin-mssql
Section: net
Priority: optional
Maintainer: Zabbix Packager <info@zabbix.com>
Build-Depends: debhelper, quilt (>= 0.40) | devscripts (>= 2.17.12)
Standards-Version: 3.9.5
Homepage: https://www.zabbix.com

Package: zabbix-agent2-plugin-mssql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Suggests: logrotate
Description: Zabbix Agent2 plugin for monitoring MSSQL installations
 This package is an add-on for zabbix-agent2.
 .
 This package enables monitoring mssql installations with Zabbix Agent2.

## zabbix-agent2-plugin-mssql 7.0.7

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.7-1+debian12) stable; urgency=low

  * update to 7.0.7

 -- Zabbix Packager <info@zabbix.com>  Wed, 18 Dec 2024 11:50:16 +0200

zabbix-agent2-plugin-mssql (1:7.0.7~rc1-1) stable; urgency=low

  * update to 7.0.7rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 11 Dec 2024 12:17:35 +0200

zabbix-agent2-plugin-mssql (1:7.0.6-1) stable; urgency=low

  * update to 7.0.6
  * added support for debian-12-i386 7.0+

 -- Zabbix Packager <info@zabbix.com>  Wed, 20 Nov 2024 09:51:53 +0200

## zabbix-agent2-plugin-mssql 7.0.8

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.8-1+debian12) stable; urgency=low

  * update to 7.0.8

 -- Zabbix Packager <info@zabbix.com>  Mon, 06 Jan 2025 11:16:26 +0200

zabbix-agent2-plugin-mssql (1:7.0.8~rc2-1) stable; urgency=low

  * update to 7.0.8rc2

 -- Zabbix Packager <info@zabbix.com>  Thu, 02 Jan 2025 13:17:18 +0200

zabbix-agent2-plugin-mssql (1:7.0.8~rc1-1) stable; urgency=low

  * update to 7.0.8rc1

 -- Zabbix Packager <info@zabbix.com>  Thu, 19 Dec 2024 19:31:53 +0200

zabbix-agent2-plugin-mssql (1:7.0.7-1) stable; urgency=low

  * update to 7.0.7

 -- Zabbix Packager <info@zabbix.com>  Wed, 18 Dec 2024 11:50:16 +0200

## zabbix-agent2-plugin-mssql 7.0.9

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.9-1+debian12) stable; urgency=low

  * update to 7.0.9

 -- Zabbix Packager <info@zabbix.com>  Mon, 27 Jan 2025 14:08:11 +0200

zabbix-agent2-plugin-mssql (1:7.0.9~rc2-1) stable; urgency=low

  * update to 7.0.9rc2

 -- Zabbix Packager <info@zabbix.com>  Wed, 22 Jan 2025 12:57:18 +0200

zabbix-agent2-plugin-mssql (1:7.0.9~rc1-1) stable; urgency=low

  * update to 7.0.9rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 21 Jan 2025 12:14:45 +0200

zabbix-agent2-plugin-mssql (1:7.0.8-1) stable; urgency=low

  * update to 7.0.8

 -- Zabbix Packager <info@zabbix.com>  Mon, 06 Jan 2025 11:16:26 +0200

## zabbix-agent2-plugin-mssql 7.0.10

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.10-1+debian12) stable; urgency=low

  * update to 7.0.10

 -- Zabbix Packager <info@zabbix.com>  Mon, 24 Feb 2025 10:43:31 +0200

zabbix-agent2-plugin-mssql (1:7.0.10~rc1-1) stable; urgency=low

  * update to 7.0.10rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 17 Feb 2025 10:57:24 +0200

zabbix-agent2-plugin-mssql (1:7.0.9-1) stable; urgency=low

  * update to 7.0.9

 -- Zabbix Packager <info@zabbix.com>  Mon, 27 Jan 2025 14:08:11 +0200

## zabbix-agent2-plugin-mssql 7.0.11

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.11-1+debian12) stable; urgency=low

  * update to 7.0.11

 -- Zabbix Packager <info@zabbix.com>  Thu, 27 Mar 2025 08:24:15 +0200

zabbix-agent2-plugin-mssql (1:7.0.11~rc2-1) stable; urgency=low

  * update to 7.0.11rc2

 -- Zabbix Packager <info@zabbix.com>  Tue, 25 Mar 2025 09:06:43 +0200

zabbix-agent2-plugin-mssql (1:7.0.11~rc1-1) stable; urgency=low

  * update to 7.0.11rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 18 Mar 2025 09:49:41 +0200

zabbix-agent2-plugin-mssql (1:7.0.10-1) stable; urgency=low

  * update to 7.0.10

 -- Zabbix Packager <info@zabbix.com>  Mon, 24 Feb 2025 10:43:31 +0200

## zabbix-agent2-plugin-mssql 7.0.12

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.12-1+debian12) stable; urgency=low

  * update to 7.0.12

 -- Zabbix Packager <info@zabbix.com>  Tue, 22 Apr 2025 12:07:44 +0300

zabbix-agent2-plugin-mssql (1:7.0.12~rc1-1) stable; urgency=low

  * update to 7.0.12rc1

 -- Zabbix Packager <info@zabbix.com>  Mon, 14 Apr 2025 11:59:23 +0300

zabbix-agent2-plugin-mssql (1:7.0.11-1) stable; urgency=low

  * update to 7.0.11

 -- Zabbix Packager <info@zabbix.com>  Thu, 27 Mar 2025 08:24:15 +0200

## zabbix-agent2-plugin-mssql 7.0.13

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.13-1+debian12) stable; urgency=low

  * update to 7.0.13

 -- Zabbix Packager <info@zabbix.com>  Tue, 20 May 2025 10:39:23 +0300

zabbix-agent2-plugin-mssql (1:7.0.13~rc1-1) stable; urgency=low

  * update to 7.0.13rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 13 May 2025 11:01:10 +0300

zabbix-agent2-plugin-mssql (1:7.0.12-1) stable; urgency=low

  * update to 7.0.12

 -- Zabbix Packager <info@zabbix.com>  Tue, 22 Apr 2025 12:07:44 +0300

## zabbix-agent2-plugin-mssql 7.0.14

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 PACKAGE=zabbix-agent2-plugin-mssql
 TOPDIR := $(CURDIR)
+SHELL := /bin/bash
 
 ifeq ($(OS),Windows_NT)
 GOOS := windows
@@ -114,10 +115,11 @@
 ifneq ($(OS),Windows_NT)
 	cd $(TOPDIR); \
 	go mod vendor; \
-	major_verison=$(lastword $(shell grep 'PLUGIN_VERSION_MAJOR =' ./main.go)); \
-	minor_verison=$(lastword $(shell grep 'PLUGIN_VERSION_MINOR =' ./main.go)); \
-	patch_verison=$(lastword $(shell grep 'PLUGIN_VERSION_PATCH =' ./main.go)); \
-	alphatag=$(lastword $(shell grep 'PLUGIN_VERSION_RC    =' ./main.go)); \
+	[[ "$$(head -1 ChangeLog)" =~ ^Changes[[:space:]]for[[:space:]]([0-9]+)\.([0-9]+)\.([0-9]+)((alpha|beta|rc)([0-9]+))? ]]; \
+	major_verison=$${BASH_REMATCH[1]}; \
+	minor_verison=$${BASH_REMATCH[2]}; \
+	patch_verison=$${BASH_REMATCH[3]}; \
+	alphatag=$${BASH_REMATCH[4]}; \
 	lic_years=$(word 4, $(shell grep ' Copyright (C) 2001-' ./main.go)); \
 	distdir="$(PACKAGE)-$${major_verison}.$${minor_verison}.$${patch_verison}$${alphatag}"; \
 	dist_archive="$${distdir}.tar.gz"; \

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.14-1+debian12) stable; urgency=low

  * update to 7.0.14

 -- Zabbix Packager <info@zabbix.com>  Wed, 18 Jun 2025 11:59:30 +0300

zabbix-agent2-plugin-mssql (1:7.0.14~rc1-1) stable; urgency=low

  * update to 7.0.14rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 10 Jun 2025 13:49:01 +0300

zabbix-agent2-plugin-mssql (1:7.0.13-1) stable; urgency=low

  * update to 7.0.13

 -- Zabbix Packager <info@zabbix.com>  Tue, 20 May 2025 10:39:23 +0300

## zabbix-agent2-plugin-mssql 7.0.15

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.15-1+debian12) stable; urgency=low

  * update to 7.0.15

 -- Zabbix Packager <info@zabbix.com>  Fri, 20 Jun 2025 14:37:38 +0300

zabbix-agent2-plugin-mssql (1:7.0.14-1) stable; urgency=low

  * update to 7.0.14

 -- Zabbix Packager <info@zabbix.com>  Wed, 18 Jun 2025 11:59:30 +0300

## zabbix-agent2-plugin-mssql 7.0.16

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.16-1+debian12) stable; urgency=low

  * update to 7.0.16

 -- Zabbix Packager <info@zabbix.com>  Fri, 27 Jun 2025 10:09:08 +0300

zabbix-agent2-plugin-mssql (1:7.0.15-1) stable; urgency=low

  * update to 7.0.15

 -- Zabbix Packager <info@zabbix.com>  Fri, 20 Jun 2025 14:37:38 +0300

## zabbix-agent2-plugin-mssql 7.0.17

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.17-1+debian12) stable; urgency=low

  * update to 7.0.17

 -- Zabbix Packager <info@zabbix.com>  Wed, 23 Jul 2025 08:26:46 +0300

zabbix-agent2-plugin-mssql (1:7.0.17~rc2-1) stable; urgency=low

  * update to 7.0.17rc2

 -- Zabbix Packager <info@zabbix.com>  Mon, 21 Jul 2025 10:37:14 +0300

zabbix-agent2-plugin-mssql (1:7.0.17~rc1-1) stable; urgency=low

  * update to 7.0.17rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 15 Jul 2025 08:28:55 +0300

zabbix-agent2-plugin-mssql (1:7.0.16-1) stable; urgency=low

  * update to 7.0.16

 -- Zabbix Packager <info@zabbix.com>  Fri, 27 Jun 2025 10:09:08 +0300

## zabbix-agent2-plugin-mssql 7.0.18

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 	-D ZABBIX_LICENSE_YEARS='\"$(word 4,$(shell findstr Copyright $(TOPDIR)\main.go | findstr 2001-20))\"' \
 	-D ZABBIX_VERSION_MAJOR=$(lastword $(shell findstr VERSION_MAJOR $(TOPDIR)\main.go | findstr =)) \
 	-D ZABBIX_VERSION_MINOR=$(lastword $(shell findstr VERSION_MINOR $(TOPDIR)\main.go | findstr =)) \
-	-D ZABBIX_VERSION_PATCH=$(lastword $(shell findstr VERSION_PATCH $(TOPDIR)\main.go | findstr =)) \
-	-D ZABBIX_VERSION_RC='\"$(lastword $(shell findstr VERSION_RC $(TOPDIR)\main.go | findstr =))\"' \
+	-D ZABBIX_VERSION_PATCH=$(lastword $(subst //nolint:revive,,$(shell findstr VERSION_PATCH $(TOPDIR)\main.go | findstr =))) \
+	-D ZABBIX_VERSION_RC='\"$(lastword $(subst //nolint:revive,,$(shell findstr VERSION_RC $(TOPDIR)\main.go | findstr =)))\"' \
 	-D ZABBIX_VERSION_RC_NUM=1000
 endif
 endif

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.18-1+debian12) stable; urgency=low

  * update to 7.0.18

 -- Zabbix Packager <info@zabbix.com>  Mon, 25 Aug 2025 09:44:36 +0300

zabbix-agent2-plugin-mssql (1:7.0.18~rc2-1) stable; urgency=low

  * update to 7.0.18rc2

 -- Zabbix Packager <info@zabbix.com>  Fri, 15 Aug 2025 11:21:49 +0300

zabbix-agent2-plugin-mssql (1:7.0.18~rc1-1) stable; urgency=low

  * update to 7.0.18rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 12 Aug 2025 17:46:12 +0300

zabbix-agent2-plugin-mssql (1:7.0.17-1) stable; urgency=low

  * update to 7.0.17

 -- Zabbix Packager <info@zabbix.com>  Wed, 23 Jul 2025 08:26:46 +0300

## zabbix-agent2-plugin-mssql 7.0.19

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.19-1+debian13) stable; urgency=low

  * update to 7.0.19

 -- Zabbix Packager <info@zabbix.com>  Mon, 29 Sep 2025 18:15:33 +0300

zabbix-agent2-plugin-mssql (1:7.0.19~rc1-1) stable; urgency=low

  * update to 7.0.19rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 23 Sep 2025 11:17:29 +0300

zabbix-agent2-plugin-mssql (1:7.0.18-1) stable; urgency=low

  * update to 7.0.18

 -- Zabbix Packager <info@zabbix.com>  Mon, 25 Aug 2025 09:44:36 +0300

## zabbix-agent2-plugin-mssql 7.0.20

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.20-1+debian13) stable; urgency=low

  * update to 7.0.20

 -- Zabbix Packager <info@zabbix.com>  Tue, 28 Oct 2025 09:34:21 +0200

zabbix-agent2-plugin-mssql (1:7.0.20~rc1-1) stable; urgency=low

  * update to 7.0.20rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 21 Oct 2025 10:07:38 +0300

zabbix-agent2-plugin-mssql (1:7.0.19-1) stable; urgency=low

  * update to 7.0.19

 -- Zabbix Packager <info@zabbix.com>  Mon, 29 Sep 2025 18:15:33 +0300

## zabbix-agent2-plugin-mssql 7.0.21

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.21-1+debian13) stable; urgency=low

  * update to 7.0.21

 -- Zabbix Packager <info@zabbix.com>  Mon, 03 Nov 2025 09:36:07 +0200

zabbix-agent2-plugin-mssql (1:7.0.20-1) stable; urgency=low

  * update to 7.0.20

 -- Zabbix Packager <info@zabbix.com>  Tue, 28 Oct 2025 09:34:21 +0200

## zabbix-agent2-plugin-mssql 7.0.22

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.22-1+debian12) stable; urgency=low

  * update to 7.0.22

 -- Zabbix Packager <info@zabbix.com>  Tue, 16 Dec 2025 21:12:35 +0200

zabbix-agent2-plugin-mssql (1:7.0.22~rc3-1) stable; urgency=low

  * update to 7.0.22rc3

 -- Zabbix Packager <info@zabbix.com>  Tue, 16 Dec 2025 13:07:07 +0200

zabbix-agent2-plugin-mssql (1:7.0.22~rc2-1) stable; urgency=low

  * update to 7.0.22rc2

 -- Zabbix Packager <info@zabbix.com>  Thu, 11 Dec 2025 07:05:30 +0200

zabbix-agent2-plugin-mssql (1:7.0.22~rc1-1) stable; urgency=low

  * update to 7.0.22rc1

 -- Zabbix Packager <info@zabbix.com>  Tue, 09 Dec 2025 13:00:48 +0200

zabbix-agent2-plugin-mssql (1:7.0.21-1) stable; urgency=low

  * update to 7.0.21

 -- Zabbix Packager <info@zabbix.com>  Mon, 03 Nov 2025 09:36:07 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
override_dh_auto_test:

override_dh_auto_build:
	make

override_dh_auto_clean:
	rm -f zabbix-agent2-plugin-mssql

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_compress:
	gzip debian/zabbix-agent2-plugin-mssql/usr/share/doc/zabbix-agent2-plugin-mssql/changelog.Debian

## zabbix-agent2-plugin-mssql 7.0.23

=== debian/changelog ===
zabbix-agent2-plugin-mssql (1:7.0.23-1+debian12) stable; urgency=low

  * update to 7.0.23

 -- Zabbix Packager <info@zabbix.com>  Wed, 11 Feb 2026 10:40:27 +0200

zabbix-agent2-plugin-mssql (1:7.0.23~rc2-1) stable; urgency=low

  * update to 7.0.23rc2

 -- Zabbix Packager <info@zabbix.com>  Mon, 09 Feb 2026 08:26:38 +0200

zabbix-agent2-plugin-mssql (1:7.0.23~rc1-1) stable; urgency=low

  * update to 7.0.23rc1

 -- Zabbix Packager <info@zabbix.com>  Wed, 04 Feb 2026 07:16:17 +0200

zabbix-agent2-plugin-mssql (1:7.0.22-1) stable; urgency=low

  * update to 7.0.22

 -- Zabbix Packager <info@zabbix.com>  Tue, 16 Dec 2025 21:12:35 +0200
